​

Get card file content

GET
https://example.kaiten.ru/api/latest/cards/{card_uid}/files/{id}/content
Path parameters
NameTypeReference
card_uidrequiredstring (uuid)Card UID
idrequiredstring (uuid)File UID
Headers
NameValueDescription
AuthorizationrequiredBearer <token>API token is required
Query
NameTypeConstraintsDescription
downloadbooleanIf true, the signed URL serves the file with Content-Disposition: attachment. Defaults to inline.
Responses

302
DescriptionResponse typeExample
SuccessRedirectResponse body does not exist
401
DescriptionResponse typeExample
Invalid tokenString
Open
403
DescriptionResponse typeExample
ForbiddenResponse body does not exist
404
DescriptionResponse typeExample
Not foundResponse body does not exist
422
DescriptionResponse typeExample
The file is maliciousObjectResponse body does not exist
Response Attributes
NameTypeDescription
message

string

Error message
logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.ru

Path Parameters

  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/cards/{card_uid}/files/{id}/content' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!